SETPGRP(2)

NAME
setpgrp - set process group

SYNOPSIS
setpgrp(pid, pgrp)
int pid, pgrp;

DESCRIPTION
Setpgrp sets the process group of the specified process pid to the specified pgrp. If pid is zero, then the call applies to the current process.

If the invoker is not the super-user, then the affected process must have the same effective user-id as the invoker or be a descendant of the invoking process.

RETURN VALUE
Setpgrp returns when the operation was successful. If the request failed, -1 is returned and the global variable errno indicates the reason.

ERRORS
Setpgrp will fail and the process group will not be altered if one of the following occur:

[ESRCH]
    The requested process does not exist.

[EPERM]
    The effective user ID of the requested process is different from that of the caller and the process is not a descendent of the calling process.

SEE ALSO
getpgrp(2)